OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Member Functions | Private Attributes
CargoSorter Class Reference

## Public Member Functions
| CargoSorter (CargoSortType t=ST_STATION_ID, SortOrder o=SO_ASCENDING)
CargoSortType | GetSortType ()
bool | operator() (const CargoDataEntry *cd1, const CargoDataEntry *cd2) const

## Private Member Functions
template<class Tid >
bool | SortId (Tid st1, Tid st2) const
bool | SortCount (const CargoDataEntry *cd1, const CargoDataEntry *cd2) const
bool | SortStation (StationID st1, StationID st2) const

## Private Attributes
CargoSortType | type
SortOrder | order

## Detailed Description

Definition at line 837 of file station_gui.cpp.

The documentation for this class was generated from the following file:

- src/station_gui.cpp